import 'dart:async';

import 'package:flutter/services.dart';

class KeyCodes {
  static const int ENTER = 66;
  static const int BACKSPACE = 67;
}

class SendKeyboardEvent {
  static const MethodChannel _channel =
      const MethodChannel('sendkeyboardevent');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static void sendKeyboardEvent(int keyCode) async {
    print('Sending keyCode: $keyCode');
    await _channel.invokeMethod('sendKeyboardEvent', <String, dynamic> {
      'keyCode': keyCode
    });
  }

  static void sendKeyboardText(String text) async {
    print('Sending text: $text');
    await _channel.invokeMethod('sendKeyboardText', <String, dynamic> {
      'text': text
    });
  }

}
